<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>goocanvasmm: Goocanvas::Points Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">goocanvasmm
   &#160;<span id="projectnumber">1.90.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceGoocanvas.html">Goocanvas</a></li><li class="navelem"><a class="el" href="classGoocanvas_1_1Points.html">Points</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="classGoocanvas_1_1Points-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Goocanvas::Points Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a95023e47fdc2926b153e7975794dbbcc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#a95023e47fdc2926b153e7975794dbbcc">Points</a> ()</td></tr>
<tr class="separator:a95023e47fdc2926b153e7975794dbbcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3e444692e7b29231a9e4d60ae74e256"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#ae3e444692e7b29231a9e4d60ae74e256">Points</a> (GooCanvasPoints* gobject, bool make_a_copy=true)</td></tr>
<tr class="separator:ae3e444692e7b29231a9e4d60ae74e256"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb143370309ab335ec4428ec0907b8e4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#aeb143370309ab335ec4428ec0907b8e4">Points</a> (const <a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp; other)</td></tr>
<tr class="separator:aeb143370309ab335ec4428ec0907b8e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a739c5be306b1a0fc29939cbf7340239d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#a739c5be306b1a0fc29939cbf7340239d">operator=</a> (const <a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp; other)</td></tr>
<tr class="separator:a739c5be306b1a0fc29939cbf7340239d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa00eb52d75346822b85fe303e303de55"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#aa00eb52d75346822b85fe303e303de55">Points</a> (<a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp;&amp; other) noexcept</td></tr>
<tr class="separator:aa00eb52d75346822b85fe303e303de55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad34b10ac65876a519fcc9cf457597bd4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#ad34b10ac65876a519fcc9cf457597bd4">operator=</a> (<a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp;&amp; other) noexcept</td></tr>
<tr class="separator:ad34b10ac65876a519fcc9cf457597bd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bbe18928a64343bb3d07a0822b6c1ce"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#a4bbe18928a64343bb3d07a0822b6c1ce">~Points</a> () noexcept</td></tr>
<tr class="separator:a4bbe18928a64343bb3d07a0822b6c1ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26d5aecb111a7f12f95ee18452199460"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#a26d5aecb111a7f12f95ee18452199460">swap</a> (<a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp; other) noexcept</td></tr>
<tr class="separator:a26d5aecb111a7f12f95ee18452199460"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab014f11bb98ab9a494245fd21edff645"><td class="memItemLeft" align="right" valign="top">GooCanvasPoints*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#ab014f11bb98ab9a494245fd21edff645">gobj</a> ()</td></tr>
<tr class="memdesc:ab014f11bb98ab9a494245fd21edff645"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provides access to the underlying C instance.  <a href="#ab014f11bb98ab9a494245fd21edff645">More...</a><br /></td></tr>
<tr class="separator:ab014f11bb98ab9a494245fd21edff645"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a319c320e8959151f40ac3c703f3213e2"><td class="memItemLeft" align="right" valign="top">const GooCanvasPoints*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#a319c320e8959151f40ac3c703f3213e2">gobj</a> () const </td></tr>
<tr class="memdesc:a319c320e8959151f40ac3c703f3213e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provides access to the underlying C instance.  <a href="#a319c320e8959151f40ac3c703f3213e2">More...</a><br /></td></tr>
<tr class="separator:a319c320e8959151f40ac3c703f3213e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf44d375f09dcde726d232889af44759"><td class="memItemLeft" align="right" valign="top">GooCanvasPoints*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#aaf44d375f09dcde726d232889af44759">gobj_copy</a> () const </td></tr>
<tr class="memdesc:aaf44d375f09dcde726d232889af44759"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.  <a href="#aaf44d375f09dcde726d232889af44759">More...</a><br /></td></tr>
<tr class="separator:aaf44d375f09dcde726d232889af44759"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acba567422fc0d614c73864d5f0ac15ad"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#acba567422fc0d614c73864d5f0ac15ad">Points</a> (int num_points)</td></tr>
<tr class="separator:acba567422fc0d614c73864d5f0ac15ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a002f58132a19e997d3355a4b3775b2bf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#a002f58132a19e997d3355a4b3775b2bf">Points</a> (int num_points, const double* coords)</td></tr>
<tr class="separator:a002f58132a19e997d3355a4b3775b2bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3406ec569cfa1efe1e54069277377b21"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#a3406ec569cfa1efe1e54069277377b21">get_num_points</a> () const </td></tr>
<tr class="separator:a3406ec569cfa1efe1e54069277377b21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a302c64ebcf3bcfe0d3126850b16e88ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#a302c64ebcf3bcfe0d3126850b16e88ba">set_coordinate</a> (int index, double x, double y)</td></tr>
<tr class="separator:a302c64ebcf3bcfe0d3126850b16e88ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0367f42b0523ecbda684a75528c00af"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#af0367f42b0523ecbda684a75528c00af">get_coordinate</a> (int index, double&amp; x, double&amp; y) const </td></tr>
<tr class="separator:af0367f42b0523ecbda684a75528c00af"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a4b03586a233accf016d58dedcfb9f9b1"><td class="memItemLeft" align="right" valign="top">static GType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#a4b03586a233accf016d58dedcfb9f9b1">get_type</a> ()</td></tr>
<tr class="memdesc:a4b03586a233accf016d58dedcfb9f9b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the GType for this class, for use with the underlying GObject type system.  <a href="#a4b03586a233accf016d58dedcfb9f9b1">More...</a><br /></td></tr>
<tr class="separator:a4b03586a233accf016d58dedcfb9f9b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a1008ae9f49c9fc5e20127acdf742c932"><td class="memItemLeft" align="right" valign="top">GooCanvasPoints*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#a1008ae9f49c9fc5e20127acdf742c932">gobject_</a></td></tr>
<tr class="separator:a1008ae9f49c9fc5e20127acdf742c932"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:a619eb38c7eae809f36d4581985917d4b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#a619eb38c7eae809f36d4581985917d4b">swap</a> (<a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp; lhs, <a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp; rhs) noexcept</td></tr>
<tr class="separator:a619eb38c7eae809f36d4581985917d4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb256db6e759f04fe878dd1ffe80b254"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classGoocanvas_1_1Points.html">Goocanvas::Points</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html#acb256db6e759f04fe878dd1ffe80b254">wrap</a> (GooCanvasPoints* object, bool take_copy=false)</td></tr>
<tr class="memdesc:acb256db6e759f04fe878dd1ffe80b254"><td class="mdescLeft">&#160;</td><td class="mdescRight">A <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/namespaceGlib.html#a671306f4a3a0cae5ab4d7a9d54886592">Glib::wrap()</a> method for this object.  <a href="#acb256db6e759f04fe878dd1ffe80b254">More...</a><br /></td></tr>
<tr class="separator:acb256db6e759f04fe878dd1ffe80b254"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a95023e47fdc2926b153e7975794dbbcc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Goocanvas::Points::Points </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ae3e444692e7b29231a9e4d60ae74e256"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Goocanvas::Points::Points </td>
          <td>(</td>
          <td class="paramtype">GooCanvasPoints *&#160;</td>
          <td class="paramname"><em>gobject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>make_a_copy</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aeb143370309ab335ec4428ec0907b8e4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Goocanvas::Points::Points </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aa00eb52d75346822b85fe303e303de55"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Goocanvas::Points::Points </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp;&amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a4bbe18928a64343bb3d07a0822b6c1ce"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Goocanvas::Points::~Points </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="acba567422fc0d614c73864d5f0ac15ad"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Goocanvas::Points::Points </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>num_points</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a002f58132a19e997d3355a4b3775b2bf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Goocanvas::Points::Points </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>num_points</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const double *&#160;</td>
          <td class="paramname"><em>coords</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="af0367f42b0523ecbda684a75528c00af"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Goocanvas::Points::get_coordinate </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double &amp;&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double &amp;&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a3406ec569cfa1efe1e54069277377b21"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Goocanvas::Points::get_num_points </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a4b03586a233accf016d58dedcfb9f9b1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static GType Goocanvas::Points::get_type </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the GType for this class, for use with the underlying GObject type system. </p>

</div>
</div>
<a class="anchor" id="ab014f11bb98ab9a494245fd21edff645"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GooCanvasPoints* Goocanvas::Points::gobj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Provides access to the underlying C instance. </p>

</div>
</div>
<a class="anchor" id="a319c320e8959151f40ac3c703f3213e2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const GooCanvasPoints* Goocanvas::Points::gobj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Provides access to the underlying C instance. </p>

</div>
</div>
<a class="anchor" id="aaf44d375f09dcde726d232889af44759"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GooCanvasPoints* Goocanvas::Points::gobj_copy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs. </p>

</div>
</div>
<a class="anchor" id="a739c5be306b1a0fc29939cbf7340239d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp; Goocanvas::Points::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ad34b10ac65876a519fcc9cf457597bd4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp; Goocanvas::Points::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp;&amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a302c64ebcf3bcfe0d3126850b16e88ba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Goocanvas::Points::set_coordinate </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a26d5aecb111a7f12f95ee18452199460"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Goocanvas::Points::swap </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a class="anchor" id="a619eb38c7eae809f36d4581985917d4b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void swap </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classGoocanvas_1_1Points.html">Points</a>&amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">related</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">lhs</td><td>The left-hand side </td></tr>
    <tr><td class="paramname">rhs</td><td>The right-hand side </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="acb256db6e759f04fe878dd1ffe80b254"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGoocanvas_1_1Points.html">Goocanvas::Points</a> wrap </td>
          <td>(</td>
          <td class="paramtype">GooCanvasPoints *&#160;</td>
          <td class="paramname"><em>object</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>take_copy</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">related</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/namespaceGlib.html#a671306f4a3a0cae5ab4d7a9d54886592">Glib::wrap()</a> method for this object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">object</td><td>The C instance. </td></tr>
    <tr><td class="paramname">take_copy</td><td>False if the result should take ownership of the C instance. True if it should take a new copy or ref. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A C++ instance that wraps this C instance. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a1008ae9f49c9fc5e20127acdf742c932"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GooCanvasPoints* Goocanvas::Points::gobject_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>goocanvasmm/points.h</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Sep 22 2015 13:04:00 for goocanvasmm by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
